	function dbdt_metsg(tbb,k)
c * METEOSAT SECOND GENERATION derivative of radiance w.r.t. brightness temperature
c .... version of 15.06.06

c      tbb = brightness temperature, deg K
c      k = band number: 4...11

	parameter (kb=4,ke=11,nt=2)
	common/plnmsg/cwn(kb:ke),fk1(kb:ke),fk2(kb:ke),tc(nt,kb:ke)

	t=tbb
	tt=tc(1,k)+tc(2,k)*t
	expn=exp(fk2(k)/tt) - 1.
	b=fk1(k)/expn
	bb=b*b
	tt=t*t
	expn=exp(fk2(k)/t)
	q=fk2(k)/fk1(k)
	dbdt_metsg=q*expn*bb/tt

	return
	end
