        SUBROUTINE DELTAU(TAU,DTAU,NL)
c***********************************************************************
c*
c*  program name: DELTAU
c*
c*  description: This program is for dtau calculation
c*
c*
c*  input variables:
c*    name       type      units       description
c*    ----       ----      -----       -----------
c*    TAU        real                   transmittance profile
c*    NL         integer                level of atmosphere
c*
c*  output variables:
c*    name       type      units       description
c*    ----       ----      -----       -----------
c*    dtau       real                  transmittance difference profile
c*  routines called:
c*
c*  accuracy:
c*
c***********************************************************************
        DIMENSION TAU(*),DTAU(*)
        DTAU(1)=0.5*(1.-TAU(1))
        DO 100 I=2,NL-1
        DTAU(I)=0.5*(TAU(I-1)-TAU(I+1))
  100 CONTINUE
        DTAU(NL)=0.5*(TAU(NL-1)-TAU(NL))
        RETURN
        END
