C
	SUBROUTINE eof_T_W_profile101(phss,nl,ns,nt,nw,ntot)
	PARAMETER (iut=90,iuw=91,nvt=101,nvw=56)
	PARAMETER (lenw=2*nvw,lent=2*nvt)
C --- Water vapor: level 46 - 101
	CHARACTER*80 wfile/'../ancillary_data/noaa88bevwv56'/
c --- Temperature: level 1 - 101
	CHARACTER*80 tfile/'../ancillary_data/noaa88bevte101'/
c
	REAL*4 phss(ns,ntot)
	REAL*8 tbuf(nvt),wbuf(nvw)
	OPEN(iut,FILE=tfile,RECL=lent,ACCESS='direct',STATUS='old')
	OPEN(iuw,FILE=wfile,RECL=lenw,ACCESS='direct',STATUS='old')
c
	DO i=1,ns
	DO j=1,ntot
	  phss(i,j)=0.0
	ENDDO
	ENDDO

c	BASED FUNCTIONS from EOFs
	DO 10 i=1,nt
	   READ(iut,REC=i) tbuf
	DO j=1,nl
	   phss(j,i)=tbuf(j)
	ENDDO
10	CONTINUE
c
	DO 20 i=1,nw
	ii=i+nt
	READ(iuw,REC=i) wbuf
	    DO j=2*nvt-nvw+1,2*nvt
		  Phss(j,ii)=wbuf(j-2*nvt+nvw)
	    ENDDO
20	CONTINUE
c
	DO i=nt+nw+1,ntot
	   ii=i-nt-nw
	   phss(ii+2*nl,i)=1.0
	ENDDO
ccc
	CLOSE(iut)
	CLOSE(iuw)

	RETURN
	END
