      function msgtbbw(patm,tatm,taup,tsfc,esfc,psfc,lsfc,kan)
c * Integrate R-T-E for MSG/8,9,10
c .... version of 22.03.01
      dimension patm(*),tatm(*),taup(*)

      dpre = alog(psfc/patm(lsfc))/alog(patm(lsfc)/patm(lsfc-1))
      dtau = taup(lsfc-1)-taup(lsfc)
      taus = taup(lsfc)-dtau*dpre
      refl = 0.
      t1 = tatm(1)
      b1 = plan_metsg(t1,kan) !! kan starts from 4
      tau1 = taup(1)
      rad = 0.
      do i = 2, lsfc
         t2 = tatm(i)
         b2 = plan_metsg(t2,kan)
         tau2 = taup(i)
         dtau = tau1-tau2

         drad = 0.5*(b1+b2)*dtau
         rad = rad+drad
         if(taus.gt.0.1.and.esfc.lt.1.00) then
c   Do not add reflected for last level unless psfc .gt. 1050.
            if((i.ne.lsfc).or.(i.eq.lsfc.and.psfc.gt.1050.)) then
               taub = 0.5*(tau1+tau2)
               taur = taus/taub
               refl = refl+taur*taur*drad
            endif
         endif
         b1 = b2
         tau1 = tau2
      enddo

c   Add (subtract) increment of atmos radiance to reach surface.
c    dpre will be negative if psfc < 1050 mb
c    drad falls out as the delta radiance of layer
      rad = rad+drad*dpre
c   Add increment of reflected radiance for layer down to surface.
      if(taus.gt.0.1 .and. esfc.lt.1.00) then
         if(psfc.lt.1050.) then
            taub = 0.5*(taup(lsfc-1)+taus)
c   Change dpre to increment rather than decrement.
            dpre = 1.0+dpre
         else
            taub = 0.5*(taup(lsfc)+taus)
         endif
         taur = taus/taub
         refl = refl+taur*taur*drad*dpre
      endif

      rad = rad+(1.-esfc)*refl
C      print *, 'rad=',rad
      bs = plan_metsg(tsfc,kan)
C      print *, 'bs=',bs
      rad = rad+esfc*bs*taus
      rad = amax1(rad,.001)
C      print *, 'rad=',rad
      msgtbbw = brit_metsg(rad,kan)
C      if (kan.eq.4) print *,'rad,kan,msgtbbw=',rad,kan,msgtbbw
C      pause
      return
      end
