	function brit_metsg(r,k)
c * METEOSAT SECOND GENERATION brightness temperature from radiance
c .... version of 23.03.04

c   Call PFCO_METSG before using this or PLAN_METSG

c      r = radiance, standard units
c      k = band number: 4...11

	parameter (kb=4,ke=11,nt=2)
	common/plnmsg/cwn(kb:ke),fk1(kb:ke),fk2(kb:ke),tc(nt,kb:ke)

	expn=fk1(k)/r+1.
	tt=fk2(k)/alog(expn)
	brit_metsg=(tt-tc(1,k))/tc(2,k)

	return
	end
