#------------------------------------------------
# FORTRAN Makefile
#------------------------------------------------

#------------------------------------------------
# Main program name

MAIN = test_run.exe

#------------------------------------------------
# Object file names

OBJS = test_run.o msgind_ges_wTQ.o \
       satmix.o eswat.o elvgeo.o lsurface.o \
       seviri_phy_profile_EOF.o msgtbbw.o \
       plan_metsg.o brit_metsg.o \
       tranmetsg101.o pfcometsg101.o \
       jcb_seviri.o deltau.o tprecw.o \
       dbdt_metsg.o eof_T_W_profile101.o \
       getwq0.o rtvsolx.o symvrt.o sbflip.o re4flip.o
       
#------------------------------------------------
# Compiler names
FC = /opt/intel/fce/9.1/bin/ifort

# Optimized mode
#FFLAGS = -save 
FFLAGS = -save -fast

#------------------------------------------------

.SUFFIXES: .o .c .f

.f.o:
	$(FC) -c $(FFLAGS)  $<

$(MAIN): $(OBJS)
	$(FC) -o $(MAIN) $(FFLAGS) $(OBJS) 

clean:
	/bin/rm -f $(OBJS).o

